Bug 197639 - the conjuction of 0x0d31 + 0x0d4d + 0x200d need be added in the font file of malayalam
the conjuction of 0x0d31 + 0x0d4d + 0x200d need be added in the font file of...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darshan Santani
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 02:54 EDT by Liang Zhang
Modified: 2015-04-06 23:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.0.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 02:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch attached (1.76 KB, patch)
2006-08-08 08:52 EDT, Darshan Santani
no flags Details | Diff
Screenshot showing the expected behaviour (36.30 KB, image/png)
2006-08-08 08:55 EDT, Darshan Santani
no flags Details
lohit_ml.ttf (52.38 KB, application/octet-stream)
2006-08-08 08:58 EDT, Darshan Santani
no flags Details

  None (edit)
Description Liang Zhang 2006-07-05 02:54:34 EDT
Description of problem:
The conjuction of  0x0d31 + 0x0d4d + 0x200d is existing in real world, but it is
not existing in our font file of malayalam.
The conjuction of  0x0d31 + 0x0d4d + 0x200d need be added in the GSUB table of
the font file of malayalam. The glyph of this conjuction is the same as the
conjuction of  0x0d30 + 0x0d4d + 0x200d.
Comment 1 Darshan Santani 2006-08-08 08:52:27 EDT
Created attachment 133783 [details]
Patch attached

Patch has been attached to resolve the issue.
Comment 2 Darshan Santani 2006-08-08 08:55:37 EDT
Created attachment 133784 [details]
Screenshot showing the expected behaviour 

Attached screenshot showing the expected behaviour
Comment 3 Darshan Santani 2006-08-08 08:58:05 EDT
Created attachment 133785 [details]
lohit_ml.ttf

Ani, I am attaching the ttf file, Can you just test it with the modified file
and leave your comments. Thanks in advance.
Comment 4 Leon Ho 2006-08-17 03:19:07 EDT
built in fonts-indic-2.0.1-1
Comment 5 Ani Peter 2006-08-31 09:33:55 EDT
Before Darshan leaving, had discussion with him wanted to have :

(U+0d30) + (U+0d4d) + (U+200d) and (U+0d31) + (U+0d4d) + (U+200d) must give the
same glyph.

In the old font, (U+0d30) + (U+0d4d) + (U+200d) was working but new font
(U+200d) is not present in the keyboard and hence not able to generate the output.

Regards
Ani

Note You need to log in before you can comment on or make changes to this bug.